Bug 480278 - Installing gnome-mount-debuginfo should not bring in gnome-mount-nautilus-properties
Installing gnome-mount-debuginfo should not bring in gnome-mount-nautilus-pro...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-16 01:22 EST by Christopher Beland
Modified: 2009-02-13 22:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-13 02:14:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2009-01-16 01:22:02 EST
"yum install gnome-mount-debuginfo" produces...

Installing:
 gnome-mount-debuginfo            x86_64  0.8-1.fc9    rawhide-debuginfo  136 k
Installing for dependencies:
 gnome-mount-nautilus-properties  x86_64  0.8-1.fc9    rawhide             18 k

This is a -debuginfo package, which should not depend on a non-debuginfo package like that.
Comment 1 Matthias Clasen 2009-01-30 00:58:54 EST
gnome-mount.spec does nothing special with debuginfo. This has to be some rpmbuild issue.
Comment 2 Panu Matilainen 2009-02-07 07:44:38 EST
What gnome-mount needs is a rebuild :) 

Notice the version: 0.8-1.fc9. In F9, -debuginfo packages had automatic dependency generation enabled (mistakenly or not, IIRC there was some debate over it), in F10 and rawhide they are generated with AutoReqProv:0.

Just rebuild it and the dependency will go away.
Comment 3 Christopher Beland 2009-02-13 22:11:57 EST
Confirmed fixed with gnome-mount-0.8-3.fc11.x86_64.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.